Bug 885225

Summary: groff ftbfs - patch does not apply
Product: [Fedora] Fedora Reporter: Paul Whalen <pwhalen>
Component: groffAssignee: Jan Vcelak <jvcelak>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 18CC: jvcelak, tsmetana
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: groff-1.22.1-1.fc18 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-01-12 00:15:05 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Paul Whalen 2012-12-07 20:07:24 UTC
Description of problem:

Groff fails to build from source, patch 'groff-info-missing-x11.patch' fails. 

Version-Release number of selected component (if applicable):

groff-1.21-10.fc18

How reproducible:

Always.

Steps to Reproduce:
1. Attempt to build package from source
2. Build will fail when applying patches
  
Actual results:

+ /usr/bin/patch %_default_patch_flags --fuzz=0 -p1 -i /builddir/build/SOURCES/groff-info-missing-x11.patch
patching file %_default_patch_flags
Hunk #1 FAILED at 486.
1 out of 1 hunk FAILED -- saving rejects to file %_default_patch_flags.rej
error: Bad exit status from /var/tmp/rpm-tmp.OEKaPk (%prep)


Expected results:

Patch applied, successful build.

Additional info:

Comment 1 Fedora Update System 2013-01-01 16:22:21 UTC
groff-1.22.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/groff-1.22.1-1.fc18

Comment 2 Jan Vcelak 2013-01-01 16:22:45 UTC
Resolved in:
groff-1.22.1-1.fc18
groff-1.22.1-1.fc19

Comment 3 Fedora Update System 2013-01-01 21:42:23 UTC
Package groff-1.22.1-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing groff-1.22.1-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-0023/groff-1.22.1-1.fc18
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2013-01-12 00:15:07 UTC
groff-1.22.1-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.